Entity Management
Verify Entity (KYB)
Performs a Know Your Business (KYB) check on a business entity using its incorporation number and country to validate registration details.
POST
/
v2
/
api
/
entities
/
{entityId}
/
company
Verify Entity (KYB)
curl --request POST \
--url https://api.youverify.co/v2/api/entities/{entityId}/company \
--header 'Content-Type: application/json' \
--header 'token: <api-key>' \
--data '
{
"entityType": "business",
"isSubjectConsent": true,
"incorporationNumber": "RC123456",
"incorporationCountry": "NG",
"checkType": "basic"
}
'import requests
url = "https://api.youverify.co/v2/api/entities/{entityId}/company"
payload = {
"entityType": "business",
"isSubjectConsent": True,
"incorporationNumber": "RC123456",
"incorporationCountry": "NG",
"checkType": "basic"
}
headers = {
"token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityType: 'business',
isSubjectConsent: true,
incorporationNumber: 'RC123456',
incorporationCountry: 'NG',
checkType: 'basic'
})
};
fetch('https://api.youverify.co/v2/api/entities/{entityId}/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status_code": 200,
"message": "Business check successful!",
"data": {
"id": "ent_69dab0119abad240d91071a4",
"entity": {
"entityId": "ent_69dab0119abad240d91071a4",
"isNew": false
},
"businessCheck": {
"id": "69dab502682626b4e9e6d77c",
"status": "found",
"businessId": "69b3c7f1556f687f7fb8a5bd",
"parentId": null,
"isConsent": true,
"type": "basic_company_check",
"searchTerm": "RC00000000",
"name": "John Doe Inc",
"registrationNumber": "RC00000000",
"companyStatus": "ACTIVE",
"requestedAt": "2026-04-11T20:54:27.818Z",
"country": "Nigeria",
"createdAt": "2022-11-03T14:16:54.235Z",
"lastModifiedAt": "2022-11-03T14:16:54.235Z",
"typeOfEntity": "PRIVATE COMPANY LIMITED BY SHARES",
"registrationDate": "2017-06-09",
"natureOfBusiness": null,
"amlReport": null,
"adverseMediaReport": null,
"requestedBy": {
"firstName": "Jamal",
"lastName": "Akinyelu",
"middleName": "",
"id": "69b3c7f6556f687f7fb8a5c7"
}
}
},
"links": []
}{
"success": true,
"status_code": 201,
"message": "Business check successful!",
"data": {
"id": "69dab502682626b4e9e6d77c",
"entity": {
"entityId": "ent_69dab0119abad240d91071a4",
"isNew": true,
"message": "Entity created successfully."
},
"businessCheck": {
"id": "69dab502682626b4e9e6d77c",
"status": "found",
"businessId": "69b3c7f1556f687f7fb8a5bd",
"parentId": null,
"isConsent": true,
"type": "basic_company_check",
"searchTerm": "RC00000000",
"name": "John Doe Inc",
"registrationNumber": "RC00000000",
"companyStatus": "ACTIVE",
"requestedAt": "2026-04-11T20:54:27.818Z",
"country": "Nigeria",
"createdAt": "2022-11-03T14:16:54.235Z",
"lastModifiedAt": "2022-11-03T14:16:54.235Z",
"typeOfEntity": "PRIVATE COMPANY LIMITED BY SHARES",
"registrationDate": "2017-06-09",
"natureOfBusiness": null,
"amlReport": null,
"adverseMediaReport": null,
"requestedBy": {
"firstName": "Jamal",
"lastName": "Akinyelu",
"middleName": "",
"id": "69b3c7f6556f687f7fb8a5c7"
}
}
}
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 402,
"message": "Insufficient fund",
"name": "PaymentRequiredError",
"data": {}
}{
"success": false,
"statusCode": 404,
"message": "You have attempted to get a resource that does not exist.",
"name": "ResourceNotFoundError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}Authorizations
Your Youverify API secret key. Never expose client-side.
Headers
API secret token
Path Parameters
Id of the entity being checked.
Body
application/json
Type of entity being checked or verified.
Available options:
business Consent of the individual or entity being verified.
Available options:
true Type of business check
Available options:
basic, standard, premium Business registration number
Country code of business incorporation (ISO 3166-1 alpha-2). Size: 2 characters
Response
Success (existing business, or not found)
⌘I
Verify Entity (KYB)
